<header id="header" class="app-header">
    <div class="app-header__container">
        <div class="app-header__logo">
            <a ui-sref="home">
                <span class="app-header__logo-icon"><img src="../../../../assets/images/logo/logo-zafira_white.svg" /></span>
            </a>
        </div>
        <div class="app-header__banner">
            <div class="app-header__banner-content">
                <div class="app-header__banner-wrapper">
                    <md-icon class="material-icons app-header__banner-icon" md-svg-src="../../../../assets/images/header-banner-icon.svg"></md-icon>
                    <span class="app-header__banner-text" ng-if="!$ctrl.isTablet">
                        Test reporting and analysis with
                    </span>
                    <span class="app-header__banner-text" ng-if="$ctrl.isTablet">
                        Test with
                    </span>
                    <a class="app-header__banner-link gtm-ce-pro-banner-click"
                        target="_blank"
                        href="https://zebrunner.com/?utm_source=community_edition&utm_medium=banner_header&utm_campaign=zebrunner_pro">
                        Zebrunner PRO
                    </a>
                </div>
            </div>
        </div>
        <div class="app-header__burger">
            <button class="app-header__burger-button" ng-click="$ctrl.changeMobileMenuIcon()">
                <div class="app-header__burger-button-icon" ng-class="{'_active': $ctrl.isOpenedMenu}"></div>
            </button>
        </div>
        <div class="app-header__menu" ng-class="{'_active': $ctrl.isOpenedMenu}" md-swipe-up="$ctrl.isOpenedMenu = false">
            <md-menu-bar class="nav-list" ng-if="!$ctrl.isMobile">
                <md-list-item class="nav-item" ng-if="!$ctrl.isMobile" ng-class="{'_active': $ctrl.checkActiveMenuItem('wizard')}">
                    <md-menu md-offset="0 40">
                        <a ng-click="$mdMenu.open($event)" class="nav-item__link">
                            <i class="material-icons">help_outline</i>
                        </a>
                        <md-menu-content class="nav-sublist">
                            <md-menu-item class="nav-sublist__item" md-autofocus="false">
                                <a ng-click="ctrl.sampleAction('doc', $event)" class="nav-sublist__item-link" href="https://zebrunner.com/documentation" target="_blank">
                                    <i class="material-icons nav-sublist__item-icon">help_outline</i>
                                    <span class="nav-sublist__item-text">Documentation</span>
                                    <i class="material-icons nav-sublist__item-icon _subicon">open_in_new</i>
                                </a>
                            </md-menu-item>
                            <md-menu-item class="nav-sublist__item">
                                <a ng-click="ctrl.sampleAction('share', $event)"
                                   class="nav-sublist__item-link"
                                   ng-class="{'_active': $ctrl.checkActiveMenuItem('wizard')}"
                                   ui-sref="wizard">
                                    <i class="material-icons nav-sublist__item-icon">help_outline</i>
                                    <span class="nav-sublist__item-text">Get started</span>
                                </a>
                            </md-menu-item>
                        </md-menu-content>
                    </md-menu>
                </md-list-item>
                <md-list-item class="nav-item" ng-if="$ctrl.userHasAnyPermission(['iam:users:update', 'iam:users:read', 'iam:groups:read', 'iam:groups:update', 'iam:groups:delete', 'iam:invitations:update', 'iam:invitations:delete', 'reporting:integrations:read'])" ng-class="{'_active': $ctrl.checkActiveMenuItem('settings.home')}">
                    <a class="nav-item__link" ui-sref="settings.home">
                        <i class="material-icons">build</i>
                        <span class="nav-item__text">Settings</span>
                    </a>
                </md-list-item>
                <md-menu-item class="nav-item" md-autofocus="false" ng-if="$ctrl.isMobile">
                    <a ng-click="ctrl.sampleAction('doc', $event)" class="nav-item__link" href="https://zebrunner.com/documentation" target="_blank">
                        <i class="material-icons nav-item__icon">help_outline</i>
                        <span class="nav-item__text">Documentation</span>
                        <i class="material-icons nav-item__icon _subicon">open_in_new</i>
                    </a>
                </md-menu-item>
                <md-menu-item class="nav-item" ng-if="$ctrl.isMobile" ng-class="{'_active': $ctrl.checkActiveMenuItem('wizard')}">
                    <a ng-click="ctrl.sampleAction('share', $event)"
                        class="nav-item__link"
                        ui-sref="wizard">
                        <i class="material-icons nav-item__icon">help_outline</i>
                        <span class="nav-item__text">Get started</span>
                    </a>
                </md-menu-item>
                <md-list-item class="nav-item" ng-class="{'_active': $ctrl.checkActiveMenuItem('userProfile')}">
                    <md-menu md-offset="0 40">
                        <a ng-click="$mdMenu.open($event)" class="nav-item__link">
                            <i class="material-icons">person_outline</i>
                        </a>
                        <md-menu-content class="nav-sublist">
                            <md-menu-item class="nav-sublist__item gtm-account-profile-click" md-autofocus="false">
                                <a class="nav-sublist__item-link" ui-sref="userProfile" ng-class="{'_active': $ctrl.checkActiveMenuItem('userProfile')}">
                                    <i class="material-icons nav-sublist__item-icon">person_outline</i>
                                    <span class="nav-sublist__item-text">Account and Profile</span>
                                </a>
                            </md-menu-item>
                            <md-menu-item class="nav-sublist__item gtm-header-logout-button">
                                <a class="nav-sublist__item-link" ui-sref="logout">
                                    <i class="material-icons nav-sublist__item-icon _before-text">exit_to_app</i>
                                    <span class="nav-sublist__item-text">Logout</span>
                                </a>
                            </md-menu-item>
                        </md-menu-content>
                    </md-menu>
                </md-list-item>
            </md-menu-bar>

            <ul class="nav-list" ng-click="$ctrl.openMenu()" ng-if="$ctrl.isMobile">
                <li class="nav-item">
                    <a class="nav-item__link" href="https://zebrunner.com/documentation" target="_blank">
                        <i class="material-icons nav-item__icon">help_outline</i>
                        <span class="nav-item__text">Documentation</span>
                        <i class="material-icons nav-item__icon">open_in_new</i>
                    </a>
                </li>
                <li class="nav-item" ng-class="{'_active': $ctrl.checkActiveMenuItem('wizard')}">
                    <a class="nav-item__link" ui-sref="wizard">
                        <i class="material-icons nav-item__icon">help_outline</i>
                        <span class="nav-item__text">Get started</span>
                    </a>
                </li>
                <li class="nav-item gtm-configuration-button"
                    ng-class="{'_active': $ctrl.checkActiveMenuItem('settings.home')}"
                    ng-if="$ctrl.userHasAnyPermission(['configuration:sso:saml', 'iam:users:update', 'iam:users:read', 'iam:groups:update', 'iam:invitations:update', 'iam:invitations:delete', 'reporting:integrations:read'])" ng-class="{'_active': $ctrl.checkActiveMenuItem('settings.home')}">
                    <a aria-label="menu" ui-sref="settings.home" class="nav-item__link menu-btn nav-btn">
                        <i class="material-icons">build</i>
                        <span class="nav-item__text">Settings</span>
                    </a>
                </li>
                <li class="nav-item gtm-account-profile-click" ng-class="{'_active': $ctrl.checkActiveMenuItem('userProfile')}">
                    <a aria-label="menu" ui-sref="userProfile" class="nav-item__link menu-btn nav-btn">
                        <i class="material-icons">person_outline</i>
                        <span class="nav-item__text">Account and Profile</span>
                    </a>
                </li>
                <li class="nav-item gtm-header-logout-button">
                    <a aria-label="menu" ui-sref="logout" class="nav-item__link menu-btn nav-btn">
                        <i class="material-icons">logout</i>
                        <span class="nav-item__text">Logout</span>
                    </a>
                </li>
            </ul>
            <span class="app-header__menu-button" type="button" ng-if="$ctrl.isOpenedMenu" ng-click="$ctrl.changeMobileMenuIcon()"></span>
        </div>
        <div class="app-header__backdrop" ng-click="$ctrl.isOpenedMenu = false" ng-class="{'_active': $ctrl.isOpenedMenu}"></div>
    </div>
</header>
